import java.io.*;
import java.util.*;

import org.hibernate.*; 
import org.hibernate.cfg.*;

public class AccAccTest {

  public static void main(String [] args) {

    try {
      Session session = HibernateUtil.currentSession(); 

      AccAcc acc = new AccAcc(1, "Personal", "John");

      session.save(acc);
      session.flush();

      AccAcc acc2 = new AccAcc();
      acc2.setId(1+"Personal"+"John");
      session.load(acc2, acc2.getId());

      session.close();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}

class HibernateUtil {

    public static final SessionFactory sessionFactory;

    static {
        try {
            sessionFactory = new Configuration().configure().buildSessionFactory();
        } catch (Throwable ex) {
            System.err.println("Initial SessionFactory creation failed." + ex);
            throw new ExceptionInInitializerError(ex);
        }
    }

    public static final ThreadLocal session = new ThreadLocal();

    public static Session currentSession() throws HibernateException {
        Session s = (Session) session.get();
        if (s == null) {
            s = sessionFactory.openSession();
            session.set(s);
        }
        return s;
    }

    public static void closeSession() throws HibernateException {
        Session s = (Session) session.get();
        if (s != null)
            s.close();
        session.set(null);
    }
}